Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/README
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/README	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/README	(revision 34921)
@@ -770,23 +985,23 @@
                   of '$valuePtr' is assumed.
 
-     OffsetPt   : If specified, this is a Perl expression that gives the
-                  position of a 32-bit word in the current directory that is
-                  added to the Start position to get the position of the new
-                  subdirectory.  The expression should use the position of the
-                  current tag ($valuePtr).
-
-     Base       : This specifies the base offset for all pointers in the
-                  subdirectory.  This need not be specified if the offset is the
-                  same as the current directory, which is normally the case.
+     OffsetPt   : [EXIF directories only] If specified, this is a Perl
+                  expression that gives the position of a 32-bit word in the
+                  current directory that is added to the Start position to get
+                  the position of the new subdirectory.  The expression
+                  should use the position of the current tag ($valuePtr).
+
+     Base       : This expression specifies the base offset for all pointers in
+                  the subdirectory.  This need not be specified if the offset is
+                  the same as the current directory, which is normally the case.
                   May use $start to represent the subdirectory start location
                   relative to the current base, and $base for the value of the
                   current base.  If this is defined, the automatic validation of
-                  base offsets is disabled for maker notes directories.  The
-                  IFD is flagged as using relative offsets when writing if
-                  '$start' is used in this expression.
-
-     EntryBased : Flag indicating that the offsets are based on the individual
-                  directory entry position, so offsets are incremented by 12
-                  times the corresponding entry index.
+                  base offsets is disabled for maker notes directories.  The IFD
+                  is flagged as using relative offsets when writing if '$start'
+                  is used in this expression.
+
+     EntryBased : [EXIF directories only] Flag indicating that the offsets are
+                  based on the individual directory entry position, so offsets
+                  are incremented by 12 times the corresponding entry index.
 
      MaxSubdirs : Maximum number of subdirectories specified by the current tag
@@ -803,9 +1018,9 @@
 
      Validate   : If given, specifies Perl expression which is used to validate
-                  the subdirectory data.  The following variables may be used in
-                  the expression: $val (value of the tag), $dirData (reference
-                  to directory data), $subdirStart (offset to subdirectory
-                  start) and $size (size of subdirectory).  Returns true if
-                  subirectory is valid.
+                  the subdirectory data (regardless of Validate option setting).
+                  The following variables may be used in the expression: $val
+                  (value of the tag), $dirData (reference to directory data),
+                  $subdirStart (offset to subdirectory start) and $size (size of
+                  subdirectory).  Returns true if subdirectory is valid.
 
      ProcessProc: If given, specifies processing procedure used to decode this
@@ -813,5 +1028,5 @@
                   specified by PROCESS_PROC in the tag table.
 
-     WriteProc:  If given, specifies processing procedure used to write this
+     WriteProc  : If given, specifies processing procedure used to write this
                   subdirectory data.  This overrides the default procedure
                   specified by WRITE_PROC in the tag table.
@@ -858,5 +1073,8 @@
                 tags (where it defaults to the NAMESPACE of the tag table).
 
-  STRUCT_NAME : Name of structure (used in warning messages).
+  STRUCT_NAME : Name of structure (used in warning messages and documentation).
+                May contain leading module name separated by a space to avoid
+                name conflicts with same-named structures in other modules.
+                Default module is "XMP" unless otherwise specified.
 
   TYPE        : rdf:type resource for structure.
@@ -871,5 +1089,5 @@
 
   Raw/Value/PrintConv (and their inverses), TagID (optional), Groups, List,
-  Writable, Struct, Namespace, LangCode, PropertyPath.
+  Writable, Struct, Namespace, FlatName, LangCode, PropertyPath, Notes.
 
 But note that for PropertyPath, only the element of the path corresponding to
@@ -878,11 +1096,11 @@
 
 Flattened tags corresponding to each field in a structure are automatically
-generated (using an on-demand approach to avoid spending time generating them
-unless necessary).  Pre-defined flattened tags are allowed, and are used when it
-is necessary to change the Name or Description of a flattened tag.  The
-flattened tag information hash entries are copied from the corresponding
-structure field definitions, even for pre-defined flattened tags.  The exception
-that the List tag is generated automatically unless explicity set to 0 in a
-pre-defined flattened tag.
+generated (using an on-demand approach to reduce startup overhead).  Pre-defined
+flattened tags are allowed, and are used when it is necessary to change the Name
+or Description of a flattened tag.  The flattened tag information hash entries
+are copied from the corresponding structure field definitions, even for
+pre-defined flattened tags.  The exception is that the List property is
+generated automatically unless explicitly set to 0 in a pre-defined flattened
+tag.
 
 --------------------------------------------------------------------------------
